Ogre::Win32PBuffer Class Reference

`#include <OgreWin32RenderTexture.h>`

Inheritance diagram for Ogre::Win32PBuffer:
[legend]

List of all members.

## Public Member Functions

| Win32PBuffer (PixelComponentType format, size_t width, size_t height)
| ~Win32PBuffer ()
virtual GLContext * | getContext ()
| Get the GL context that needs to be active to render to this PBuffer.
PixelComponentType | getFormat ()
size_t | getWidth ()
size_t | getHeight ()

## Static Public Member Functions

static PixelComponentType | getPixelComponentType (PixelFormat fmt)
| Get PBuffer component format for an OGRE pixel format.

## Protected Member Functions

void | createPBuffer ()
void | destroyPBuffer ()

## Protected Attributes

HDC | mHDC
HGLRC | mGlrc
HPBUFFERARB | mPBuffer
Win32Context * | mContext
PixelComponentType | mFormat
size_t | mWidth
size_t | mHeight

## Detailed Description

Definition at line 37 of file OgreWin32RenderTexture.h.

## Constructor & Destructor Documentation

Ogre::Win32PBuffer::Win32PBuffer | ( | PixelComponentType | format,
|  | size_t | width,
|  | size_t | height
| ) |  |

Ogre::Win32PBuffer::~Win32PBuffer | ( |  | ) |

## Member Function Documentation

void Ogre::Win32PBuffer::createPBuffer | ( |  | ) | `[protected]`

void Ogre::Win32PBuffer::destroyPBuffer | ( |  | ) | `[protected]`

virtual GLContext* Ogre::Win32PBuffer::getContext | ( |  | ) | `[virtual]`

Get the GL context that needs to be active to render to this PBuffer.

Implements Ogre::GLPBuffer.

Definition at line 43 of file OgreWin32RenderTexture.h.

PixelComponentType Ogre::GLPBuffer::getFormat | ( |  | ) | `[inherited]`

Definition at line 48 of file OgreGLPBuffer.h.

size_t Ogre::GLPBuffer::getHeight | ( | void |  | ) | `[inherited]`

Definition at line 50 of file OgreGLPBuffer.h.

static PixelComponentType Ogre::GLPBuffer::getPixelComponentType | ( | PixelFormat | fmt | ) | `[static, inherited]`

Get PBuffer component format for an OGRE pixel format.

size_t Ogre::GLPBuffer::getWidth | ( | void |  | ) | `[inherited]`

Definition at line 49 of file OgreGLPBuffer.h.

## Member Data Documentation

Win32Context* Ogre::Win32PBuffer::mContext`[protected]`

Definition at line 51 of file OgreWin32RenderTexture.h.

PixelComponentType Ogre::GLPBuffer::mFormat`[protected, inherited]`

Definition at line 56 of file OgreGLPBuffer.h.

HGLRC Ogre::Win32PBuffer::mGlrc`[protected]`

Definition at line 49 of file OgreWin32RenderTexture.h.

HDC Ogre::Win32PBuffer::mHDC`[protected]`

Definition at line 48 of file OgreWin32RenderTexture.h.

size_t Ogre::GLPBuffer::mHeight`[protected, inherited]`

Definition at line 57 of file OgreGLPBuffer.h.

HPBUFFERARB Ogre::Win32PBuffer::mPBuffer`[protected]`

Definition at line 50 of file OgreWin32RenderTexture.h.

size_t Ogre::GLPBuffer::mWidth`[protected, inherited]`

Definition at line 57 of file OgreGLPBuffer.h.

The documentation for this class was generated from the following file:

- OgreWin32RenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:54